Page MenuHomePhabricator

python-zstandard: blacken at 80 characters
ClosedPublic

Authored by indygreg on Jan 18 2020, 12:54 AM.

Details

Summary

I made this change upstream and it will make it into the next
release of python-zstandard. I figured I'd send it Mercurial's
way because it will allow us to drop this directory from the black
exclusion list.

  1. skip-blame blackening

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.Jan 18 2020, 12:54 AM
mharbison72 requested changes to this revision.Jan 20 2020, 10:28 AM
mharbison72 added a subscriber: mharbison72.

"contrib/examples/fix.hgrc" also skips "contrib/python-zstandard/**". It seems like the intent of this is to allow local edits to python-zstandard (or we wouldn't start checking the format), so maybe it should be covered by fix too?

This revision now requires changes to proceed.Jan 20 2020, 10:28 AM
indygreg updated this revision to Diff 19525.Jan 23 2020, 1:23 AM
pulkit accepted this revision.Jan 23 2020, 7:09 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.

I'm -0 on auto-formatting third-party code at all, and that includes zstandard stuff. Why do we care if it's in the ignorelist?